Tecnologia e non solo

settembre 30, 2007

Debian Sid, 2.20 e (ancora!) screenlets

Filed under: Debian,Sid — telperion @ 4:59 pm

Nell’upgrade di Debian Sid a Gnome 2.20
tutto abbastanza liscio,
Debian sid gnome 2.20 xorg 7.3
qualche difficoltà nell’upgrade del pacchetto:

libwnck-common 2.18.3-1

che richiede la rimozione pacchetti e diinstallazione di
beryl compiz-fusion (emerald e varie) awn

quindi upgrade a
libwnck-common 2.20.0-1

rebuild dei pacchetti di
beryl awn

rebuild da script di compiz-fusion

tutto ok.

Funziona tutto senza problemi “visibili”.
Debian Sid xorg 7.3 Gnome 2.20

Screenlets
come già sviscerato con python-gobject_2.14.0-2

screenlets 0.0.10 da sorgente:

mc@debian:~/develop-deb/screenlets/screenlets-0.0.10$ screenlets-manager
Unable to load ‘CopyStack’ from /usr/local/share/screenlets/CopyStack: invalid syntax (CopyStackScreenlet.py, line 365)
Traceback (most recent call last):
File “/usr/local/share/screenlets-manager/screenlets-manager.py”, line 589, in ?
app = ScreenletsManager()
File “/usr/local/share/screenlets-manager/screenlets-manager.py”, line 133, in __init__
self.load_screenlets()
File “/usr/local/share/screenlets-manager/screenlets-manager.py”, line 259, in load_screenlets
info = ScreenletInfo(s, meta[‘name’], meta[‘info’], meta[‘author’],
TypeError: unsubscriptable object

da pacchetto deb di Gutsy:

mc@debian:~/develop-deb/screenlets/0.1.0$ screenlets-managerTraceback (most recent call last):
File “/usr/local/share/screenlets-manager/screenlets-manager.py”, line 23, in ?
import screenlets
ImportError: No module named screenlets

Strano, su Archlinux e Gutsy con pygobject 2.14.0-1 e python-gobject_2.14.0-1
le 0.0.10 funzionano.

Downgrade a python-gobject_2.12.3-1 (come già spiegato).

Stessi errori per la versione screenlets 0.0.10

reinstallati allora i pacchetti della feisty

screenlets-0.0.7-11pre0.0.8_i386.deb
screenlets-core-0.0.7-11pre0.0.8_i386.deb
screenlets-extra-0.0.7-17_i386.deb
screenlets-utils-0.0.7-14_i386.deb

tutto torna a funzionare regolarmente.

Qualcuno ha un pacchetto
screenlets-0.0.10 funzionante per sid?
Dove lo ha preso?
Oppure avete info per risolvere?
Grazie.

Annunci

8 commenti

  1. @telperion:
    mi dispiace ma per le screenlets non posso esserti di aiuto perchè non le utilizzo! sorry!
    volevo chiederti, invece, mentre per quanto riguarda libwnck-common, avevo già intuito e quindi ricompilato beryl/compiz-fusion/awn, tra i vari aggiornamenti ci sono tra i tanti, ekiga e libopal-2.2, che se provo ad aggiornarli mi dice di rimuovere gnome-desktop-environment. non ho capito se è un metapacchetto o altro. posso aggiornarli oppure aspetto tempi migliori? grazie.

    Commento di anonimo — settembre 30, 2007 @ 10:51 pm

  2. No ekiga e libopal lasciali stare che manca ancora roba,
    esempio:

    libopal-2.2:
    Dipende: libpt-1.10.10 (>=1.10.10~)
    but it is not installable o
    libpt-1.10.10-ptrace (>=1.10.10~)
    ma non è installabile o
    libpt-1.10.10-develop (>=1.10.10~)
    ma non è installabile

    Per le screenlets 0.0.10 credo siano casini tra python 2.4 e 2.5. Boh.
    Python mi sta sempre più sui “maroni”.

    Commento di telperion — settembre 30, 2007 @ 10:56 pm

  3. ah ok grazie mille!
    immagina il prossimo anno che esce il nuovo ramo di sviluppo di python… python 3!

    OT: mi diresti dove posso reperire il tuo tema per emerald? grazie.

    Commento di anonimo — settembre 30, 2007 @ 11:16 pm

  4. Tema emerald:
    Vista-Compiz-Mc03-blu.emerald (45.3 KB)

    Commento di telperion — settembre 30, 2007 @ 11:27 pm

  5. grazie mille telperion!
    ti faccio tanti, sinceri, complimenti per tutto quello che fai!

    Commento di anonimo — settembre 30, 2007 @ 11:37 pm

  6. Nel mio repository (link sul mio sito umta.tuxfamily.org) ho messo i pacchetti di screenlets 0.0.10 per Sid… lo screenlets-manager non funziona (sto provvedendo a risolvere) ma si può usare lo script “di fortuna” addscreenlet nome_screenlet presente nei pacchetti.

    Commento di U.M.T.A. — ottobre 3, 2007 @ 2:16 pm

  7. @UMTA:
    grazie ho trovato anche il bzr delle screenlets,
    bzr co http://bazaar.launchpad.net/~screenlets-dev/screenlets/trunk screenlets
    funziona il manager in compenso le vecchie screenlets
    (weather e altre) che poi sono quelle decenti, non vanno più, funzionano solo quelle fornite,
    tipo “il fottuttissimo” vaso di fiori.
    🙂

    Commento di telperion — ottobre 3, 2007 @ 4:55 pm

  8. @UMTA:
    ho installato i tuoi pacchetti e anche senza manager ho fatto uno script di lancio che mi permette di usare le “vecchie” screenlets.

    Commento di telperion — ottobre 5, 2007 @ 7:56 pm


RSS feed for comments on this post.

%d blogger hanno fatto clic su Mi Piace per questo: